# $Revision: 1.7 $, $Date: 2003/12/28 09:26:21 $
#
# Conditional build:
%bcond_with	mmx	# use MMX on i[56]86 (no runtime detection!)
#
%ifarch athlon
%define		with_mmx 1
%endif
Summary:	Support library for the movtar video format
Summary(pl):	Biblioteka obsugujca format obrazu movtar
Name:		libmovtar
Version:	0.1.3
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
# Source0-md5: 3810ba83a90c52676014ab1ea6d8cd9f
Patch0:		%{name}-shared.patch
Patch1:		%{name}-nommx.patch
Patch2:		%{name}-glib.patch
Patch3:		%{name}-am18.patch
URL:		http://mjpeg.sourceforge.net/
BuildRequires:	SDL-devel >= 1.1.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes libmovtar, the support library which implements
the movtar MJPEG video format.

%description -l pl
Ten pakiet zawiera bibliotek libmovtar, bdc implementacj obsugi
formatu obrazu MJPEG movtar.

%package devel
Summary:	libmovtar header files
Summary(pl):	Pliki nagwkowe biblioteki libmovtar
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
libmovtar header files.

%description devel -l pl
Pliki nagwkowe biblioteki libmovtar.

%package static
Summary:	libmovtar static library
Summary(pl):	Biblioteka statyczna libmovtar
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
libmovtar static library.

%description static -l pl
Biblioteka statyczna libmovtar.

%package progs
Summary:	Various tools for movtar video format
Summary(pl):	Rne narzdzia do formatu obrazu movtar
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description progs
This package contains various tools to help you understand the
principles behind the movtar format, and do special tasks which aren't
possible with the library (like movtar_index, which removes a video
index, for experimental and debugging purposes).

%description progs -l pl
Ten pakiet zawiera rne narzdzia pomagajce zrozumie zasady
dotyczce formatu movtar i wykonywa specjalne zadania niemoliwe
do wykonania z poziomu biblioteki (jak movtar_index, ktry usuwa
indeks filmu - dla eksperymentw i odpluskwiania).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I/usr/X11R6/include"
%configure \
%ifarch i586 i686 athlon
	%{?with_mmx:--with-mmx}
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f rtjpeg/README README.rtjpeg

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/movtar-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/movtar_*
%attr(755,root,root) %{_bindir}/[^m]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmovtar.spec,v $
Revision 1.7  2003/12/28 09:26:21  qboosh
- added am18 patch (movtar.m4 quotation fixes); release 4

Revision 1.6  2003/12/13 19:14:57  qboosh
- !x86 fixes in nommx patch, new-style bcond, release 3

Revision 1.5  2003/12/08 11:51:55  wrobell
- kill glib 1.2.x requirement in favour of glib 2.x
- rel. 2

Revision 1.4  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.3  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.1  2002/12/21 20:18:34  qboosh
- new, built as shared library
